<div class="home">
    <div class="home__top">
        <h1 class="home__top-title">
            Fair international please Blockchain lottery
        </h1>
        <ul class="home__top-info max-width">
            <li class="item">
                <img src="../../../assets/images/images/cryptocurrency.png" alt="">
                <div>
                    <p>jackpot!</p>
                    <h1>937 218 BET</h1>
                    <span>USD 24200000</span>
                </div>
            </li>
            <li class="item">
                <img src="../../../assets/images/images/cryptocurrency.png" alt="">
                <div>
                    <p>jackpot!</p>
                    <h1>937 218 BET</h1>
                    <span>USD 24200000</span>
                </div>
            </li>
            <li class="item">
                <img src="../../../assets/images/images/cryptocurrency.png" alt="">
                <div>
                    <p>jackpot!</p>
                    <h1>937 218 BET</h1>
                    <span>USD 24200000</span>
                </div>
            </li>
        </ul>
    </div>
    <div class="home__bet max-width">
        <div class="home__bet-prev-round">
            <div class="left">
                <h1>jackpot</h1>
                <p>Estimated Prize : {{'$25.0248'}}</p>
            </div>
            <ul>
                <li class="active">
                    <a href="">
                        Pick Any 6 Numbers
                    </a>
                </li>
                <li>
                    <a href="">
                        Winners
                    </a>
                </li>
                <li>
                    <a href="">
                        Prizes & Info
                    </a>
                </li>
            </ul>
        </div>
        <div class="home__bet-choose">
            <div class="choose-number">
                <ul id="listNumber">
                    <li class="item-number" [id]="'num-'+item" *ngFor="let item of listNumbers"
                        (click)="chooseNumber(item, currentTicket)">
                        {{item | number:'2.0'}}
                    </li>
                </ul>
            </div>
            <div class="my-line">
                <div class="listTicket" *ngFor="let item of listSelected, let index = index">
                    <p>Ticket {{index + 1}}:</p>
                    <ul class="show-ticketed">
                        <li class="number-choosed" *ngFor="let item of listSelected[index]?.value">
                            {{item | number:'2.0'}}
                        </li>
                    </ul>
                    <p class="btn-delete" *ngIf="listSelected[index]?.value.length == 6" (click)="deleteTicket(index)">delete</p>
                </div>
                <div class="btn">
                    <p class="btn-add" (click)="autoSelectTicket()">Auto select</p>
                    <p class="btn-add" (click)="addTicket()">Add ticket</p>
                    <p class="btn-buy" *ngIf="listSelected[0]?.value.length == 6">BUY TICKETS</p>
                </div>
            </div>
        </div>
    </div>
</div>